<template>
    <view class="page-container">
        <inquiryVerificationList :type="type" ref="inquiryRef"></inquiryVerificationList>
    </view>
</template>
<script>
    import inquiryVerificationList from '@/components/inquiry-verification-list/index.vue'
    export default {
        components: {
            inquiryVerificationList
        },
        data() {
            return {
                type:1//1:询价 2：核价
            }
        },
        onPullDownRefresh() {
            this.$nextTick(()=>{
                this.$refs.inquiryRef.onRefresh();
                uni.stopPullDownRefresh();
            })
        },
        onShow() {
            this.$nextTick(()=>{
                this.$refs.inquiryRef.getList();
            })
        },
    }
</script>

<style>
    .page-container {
        width: 100%;
        overflow: hidden;
    }
</style>